//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference
// Implementation, v2.2.8-b130911.1802
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
// Any modifications to this file will be lost upon recompilation of the source schema.
// Generated on: 2018.12.06 at 03:36:10 PM CET
//

package nl.naturalis.nba.dao.format.config;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>Java class for QuerySpecXmlConfig complex type.
 *
 * <p>The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType name="QuerySpecXmlConfig">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="conditions" type="{http://data.naturalis.nl/nba-dataset-config}ConditionsXmlConfig"/>
 *         &lt;element name="sort-fields" type="{http://data.naturalis.nl/nba-dataset-config}SortFieldXmlConfig" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="from" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="size" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 *
 *
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
    name = "QuerySpecXmlConfig",
    propOrder = {"conditions", "sortFields", "from", "size"})
public class QuerySpecXmlConfig {

  @XmlElement(required = true)
  protected ConditionsXmlConfig conditions;

  @XmlElement(name = "sort-fields")
  protected List<SortFieldXmlConfig> sortFields;

  protected String from;
  protected String size;

  /**
   * Gets the value of the conditions property.
   *
   * @return
   *     possible object is
   *     {@link ConditionsXmlConfig }
   *
   */
  public ConditionsXmlConfig getConditions() {
    return conditions;
  }

  /**
   * Sets the value of the conditions property.
   *
   * @param value
   *     allowed object is
   *     {@link ConditionsXmlConfig }
   *
   */
  public void setConditions(ConditionsXmlConfig value) {
    this.conditions = value;
  }

  /**
   * Gets the value of the sortFields property.
   *
   * <p>
   * This accessor method returns a reference to the live list,
   * not a snapshot. Therefore any modification you make to the
   * returned list will be present inside the JAXB object.
   * This is why there is not a <CODE>set</CODE> method for the sortFields property.
   *
   * <p>
   * For example, to add a new item, do as follows:
   * <pre>
   *    getSortFields().add(newItem);
   * </pre>
   *
   *
   * <p>
   * Objects of the following type(s) are allowed in the list
   * {@link SortFieldXmlConfig }
   *
   *
   */
  public List<SortFieldXmlConfig> getSortFields() {
    if (sortFields == null) {
      sortFields = new ArrayList<SortFieldXmlConfig>();
    }
    return this.sortFields;
  }

  /**
   * Gets the value of the from property.
   *
   * @return
   *     possible object is
   *     {@link String }
   *
   */
  public String getFrom() {
    return from;
  }

  /**
   * Sets the value of the from property.
   *
   * @param value
   *     allowed object is
   *     {@link String }
   *
   */
  public void setFrom(String value) {
    this.from = value;
  }

  /**
   * Gets the value of the size property.
   *
   * @return
   *     possible object is
   *     {@link String }
   *
   */
  public String getSize() {
    return size;
  }

  /**
   * Sets the value of the size property.
   *
   * @param value
   *     allowed object is
   *     {@link String }
   *
   */
  public void setSize(String value) {
    this.size = value;
  }
}
